org.eclipse.incquery.validation.runtime

## Class ConstraintAdapter

- java.lang.Object
- - org.eclipse.incquery.validation.runtime.ConstraintAdapter

-     public class ConstraintAdapter
      extends java.lang.Object

  The constraint adapter class is used to collect the constraints and deal with their maintenance for a given EMF instance model. If the validation framework is initialized an instance of this class will be created which handles the creation of the appropriate rules and their jobs.
  Author:
    Tamas Szabo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintAdapter(org.eclipse.ui.IEditorPart editorPart, org.eclipse.emf.common.notify.Notifier notifier, org.apache.log4j.Logger logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.core.resources.IMarker` | `addMarker(IPatternMatch match, org.eclipse.core.resources.IMarker marker)`
    `org.eclipse.core.resources.IMarker` | `addMarker(IViolation violation, org.eclipse.core.resources.IMarker marker)`
    `void` | `dispose()`
    `org.eclipse.core.resources.IMarker` | `getMarker(IPatternMatch match)`
    `org.eclipse.core.resources.IMarker` | `getMarker(IViolation violation)`
    `org.eclipse.core.resources.IMarker` | `removeMarker(IPatternMatch match)`
    `org.eclipse.core.resources.IMarker` | `removeMarker(IViolation violation)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintAdapter

          public ConstraintAdapter(org.eclipse.ui.IEditorPart editorPart,
                                   org.eclipse.emf.common.notify.Notifier notifier,
                                   org.apache.log4j.Logger logger)

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### getMarker

          public org.eclipse.core.resources.IMarker getMarker(IPatternMatch match)

    - #### addMarker

          public org.eclipse.core.resources.IMarker addMarker(IPatternMatch match,
                                                              org.eclipse.core.resources.IMarker marker)

    - #### removeMarker

          public org.eclipse.core.resources.IMarker removeMarker(IPatternMatch match)

    - #### getMarker

          public org.eclipse.core.resources.IMarker getMarker(IViolation violation)

    - #### addMarker

          public org.eclipse.core.resources.IMarker addMarker(IViolation violation,
                                                              org.eclipse.core.resources.IMarker marker)

    - #### removeMarker

          public org.eclipse.core.resources.IMarker removeMarker(IViolation violation)